# Interface ResourceProvider

interface ResourceProvider {
methods: ResourceProviderMethods;
type: string;
}

- Defined in resourcesapi.ts:175

##### Index

### Properties

methods
type

## Properties

### methods

methods: ResourceProviderMethods

An object implementing the `ResourceProviderMethods` interface defining the functions to which resource requests are passed by the SignalK server.

- Defined in resourcesapi.ts:184

### type

type: string

The resource type provided for by the plugin.These can be either Standard (Signal K defined) types defined in SignalKResourceType, or Custom (user defined) resource types (e.g. `'fishingZones'`)

- Defined in resourcesapi.ts:179